@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css");
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;700;800&display=swap");
@import url("https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.min.css");
@import url("https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css");

@font-face {
    font-family: "JosefinSans";
    src: url("../fonts/JosefinSans-Bold.ttf");
}

@font-face {
    font-family: "BlkChCry";
    src: url("../fonts/BLKCHCRY.TTF");
}

.section-2.foreground {
    margin: 0 auto;
    width: 80%;
    font-family: "JosefinSans";
    /* font-size: 1rem; */
}

.section-2.background {
	position: fixed;
	top: 0;
	width: 100%;
	z-index: -1;
    border: 2px solid black;
    overflow: hidden;
}

.section-2.background img {
	width: 100%;
    height: auto;
    opacity: 0.5;
    /* background: linear-gradient(to bottom, #fff8, #ec8a),  url("../img/background-Metz.jpg") center / cover repeat-y; */
}

.section-2.content {
    /* padding: 100px 0; */
    backdrop-filter: blur(3px);
    /* display: flex; */
    flex-direction: column;
}

.section-2.title {
    font-family: "BlkChCry";
    font-size: 6.0rem; 
    font-weight: 900; 
    color: #000c;
    letter-spacing: 0.1rem;
    margin: 1rem 0rem 0.5rem;
    text-shadow: 4px 3px 8px #0008;
}

.section-2.subtitle {
    font-size: 3.0rem;
    font-style: italic;
    color: #333;
    background: #fffa;
    display: inline-block;
    padding: 8px 18px;
    border-radius: 20px;
    box-shadow: 4px 3px 12px #0008;
}

/* HEADER */
.section-2.galeria {
    text-align: center; 
    margin-bottom: 50px; 
}

.section-2.description {
    margin: 1rem 2rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}


.section-2.description-box h1 {
    font-family: "BlkChCry";
    border-bottom: 4px groove #fffc;
    margin-bottom: 0.6rem;
}

.section-2.description-box {
    margin: 0.6rem auto;
    padding: 1.2rem 1.6rem;
    width: 45%;
    background: #fffc;
    border-radius: 0.6rem;
    box-shadow: 6px 5px 16px #0008;
    line-height: 1.4rem;
    color: #222;
    font-size: 1.5rem;
}

/* CAROUSEL ITEMS */
.section2.item { 
    margin: 10px; 
    border-radius: 20px; 
    overflow: hidden; 
    position: relative;
    box-shadow: 0 15px 30px rgba(0,0,0,0.2);
    transition: transform 0.3s ease;
}

.section2.item:hover {
    transform: translateY(-10px);
}

.section2.item img {
    height: 30rem;
    object-fit: cover; 
    /* width: 100%; */
    display: block; 
    transition: transform 0.5s ease;
}

.section2.item:hover img {
    transform: scale(1.1);
}

/* OVERLAY */
.section2.overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(transparent, rgba(0,0,0,0.95));
    color: white;
    padding: 30px 20px;
    transform: translateY(20px);
    transition: 0.3s ease;
}

.section2.item:hover .overlay {
    transform: translateY(0);
}

.section2.overlay h3 {
    font-size: 1.5rem;
    font-family: BlkChCry;
    margin-bottom: 5px;
}

/* DOTS */
.owl-theme .owl-dots .owl-dot span {
    background: #aaa;
}

.owl-theme .owl-dots .owl-dot.active span { 
    background: #3b82f6 !important; 
}



@media(max-width:1024px){
    .section-title {
        font-size: 3rem;
    }
    .section-2.subtitle {
        font-size: 3.0rem;
    }
}

@media screen and (max-width: 768px) {
    .section-2.subtitle {
        font-size: 2.0rem;
    }
    .section-2.description-box {
        width: 80%;
    }
}